Bug 55334 - fix zhcon build error on 5.1 current
Summary: fix zhcon build error on 5.1 current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-07 06:20 UTC by Liu Kang
Modified: 2003-08-19 06:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liu Kang 2003-08-07 06:20:09 UTC
ports/chinese/zhcon can not be built on 5.1 current, beacuse of the 
sourcecode is not compatible with  new compiler.

Fix: 

_________________________________________________________________
ÏíÓÃÊÀ½çÉÏ×î´óµÄµç×ÓÓʼþϵͳ¡ª MSN Hotmail¡£  http://www.hotmail.com--hwHW3F0MFWPZfZIfM7wZlRbl3yqyfyCEaxdKUXYVZ3wDQBgL
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- /dev/null	Thu Aug  7 13:03:08 2003
+++ files/patch-src::global.h	Thu Aug  7 13:02:35 2003
@@ -0,0 +1,11 @@
+--- src/global.h.orig   Thu Aug  7 12:54:31 2003
++++ src/global.h        Thu Aug  7 12:54:46 2003
+@@ -26,7 +26,7 @@
+ //#endif
+ #define _(String) gettext (String)
+ #define gettext_noop(String) (String)
+-
++#include <assert.h>
+ #include "graphdev.h"
+ #include "hzdecoder.h"
+ //class Console;
How-To-Repeat:         run "make" at ports/chinese/zhcon on a 5.1 current machine.
Comment 1 statue 2003-08-08 06:48:51 UTC
MAINTAINER approved.
Comment 2 Daichi GOTO freebsd_committer 2003-08-19 06:41:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!